"""songbox API Client Library

A Python client library for the songbox music streaming API.
"""

from .client import SongboxClient
from .auth import AuthClient
from .user import UserClient
from .music import MusicClient
from .exceptions import (
    songboxError,
    AuthenticationError,
    APIError,
    RateLimitError,
    NotFoundError
)

__version__ = "1.0.0"
__author__ = "songbox Library"
__email__ = "custom.icon@vk.com"

__all__ = [
    "SongboxClient",
    "AuthClient",
    "UserClient",
    "MusicClient",
    "songboxError",
    "AuthenticationError",
    "APIError",
    "RateLimitError",
    "NotFoundError",
]